******************
frameviewer module
******************

Handles the display of frames in the Frame Viewer section of Faceswap's Manual Tool.

.. contents:: Contents
   :local:

frame module
============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~tools.manual.frameviewer.frame.ActionsFrame
   ~tools.manual.frameviewer.frame.BackgroundImage
   ~tools.manual.frameviewer.frame.DisplayFrame
   ~tools.manual.frameviewer.frame.FrameViewer
   ~tools.manual.frameviewer.frame.Navigation

.. rubric:: Module

.. automodule:: tools.manual.frameviewer.frame
   :members:
   :undoc-members:
   :show-inheritance:

control module
==============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~tools.manual.frameviewer.control.BackgroundImage
   ~tools.manual.frameviewer.control.Navigation

.. rubric:: Module

.. automodule:: tools.manual.frameviewer.control
   :members:
   :undoc-members:
   :show-inheritance:

editor package
==============
.. contents:: Contents
   :local:

_base module
------------

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~tools.manual.frameviewer.editor._base.Editor
   ~tools.manual.frameviewer.editor._base.View

.. rubric:: Module

.. automodule:: tools.manual.frameviewer.editor._base
   :members:
   :undoc-members:
   :show-inheritance:

bounding_box module
-------------------
.. automodule:: tools.manual.frameviewer.editor.bounding_box
   :members:
   :undoc-members:
   :show-inheritance:

extract_box module
------------------
.. automodule:: tools.manual.frameviewer.editor.extract_box
   :members:
   :undoc-members:
   :show-inheritance:

landmarks module
----------------

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~tools.manual.frameviewer.editor.landmarks.Landmarks
   ~tools.manual.frameviewer.editor.landmarks.Mesh

.. rubric:: Module

.. automodule:: tools.manual.frameviewer.editor.landmarks
   :members:
   :undoc-members:
   :show-inheritance:

mask module
-----------
.. automodule:: tools.manual.frameviewer.editor.mask
   :members:
   :undoc-members:
   :show-inheritance: